/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.card {

    &-numbers {
        width: 100%;
        padding: rem(24);
        border: 1px solid #4C42CB66;
        border-radius: rem(16);
        background: radial-gradient(50% 50% at 50% 50%, rgba(65, 53, 215, 0.4) 0%, rgba(34, 28, 113, 0.4) 100%);
        position: relative;
        cursor: pointer;
        box-shadow: none;
        height: calc(50% - 12px);
        margin-bottom: rem(24);
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        transition: all 0.3s ease;

        &:last-child {
            margin-bottom: 0;
        }

        &-col {
            @media (max-width: 1200px) {
                margin-bottom: rem(24);
            }
        }

        &.full-card {
            height: 100%;
        }

        &-top {
            display: flex;
            align-items: center;
        }

        &-title {
            font-size: rem(20);
            line-height: rem(20);
            font-weight: 300;

            display: flex;
            align-items: center;
            gap: rem(8);

            i {
                width: rem(24);
                height: rem(24);

                display: flex;
                align-items: center;
                justify-content: center;

                font-size: rem(16);
            }

        }

        &-bottom {
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin-top: rem(40);
        }

        &-total {
            font-size: rem(40);
            line-height: normal;
            font-weight: 200;
            color: var(--color-default-1);
        }

        &-list-title {
            font-size: rem(11);
            line-height: normal;
            color: var(--color-default-1);
            margin-bottom: rem(16);
            margin-top: rem(37);
        }

        &-item {
            width: 100%;
            padding: rem(16);
            border: 1px solid var(--color-default-5);
            box-shadow: 0px 24px 24px 0px #0000003D;
            cursor: pointer;
            display: flex;
            align-items: center;
            justify-content: space-between;
            font-size: rem(13);
            line-height: rem(15);
            border-radius: rem(8);
            margin-bottom: rem(8);
            background-color: var(--color-default-8);
            opacity: 0.5;
            transition: all 0.3s ease;

            &:last-child {
                margin-bottom: 0;
            }

            &-name {
                font-weight: 900;
                color: var(--white);

                span {
                    font-weight: 300;
                }
            }

            &-value {
                display: flex;
                align-items: center;
                font-weight: 500;
                color: var(--color-default-1);

                .classification {
                    width: rem(8);
                    height: rem(8);
                    border-radius: rem(200);
                    margin-right: rem(4);

                    &.high {
                        background: #1CEDA2;
                    }

                    &.medium {
                        background: yellow;
                    }

                    &.low {
                        background: red;
                    }
                }
            }

        }

        &:hover {
            border-color: var(--color-default-5);
            background: linear-gradient(356.68deg, #2A2387 5.48%, #2A2387 94.52%);
            box-shadow: 0px 32px 32px 0px #0000003D;

            .button-arrow {
                color: var(--white);
                border-color: var(--color-default-2);
                background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
                box-shadow: 0px 8px 16px 0px #7090B01F;
            }

            .card-numbers-item {
                opacity: 1;
            }
        }
    }

    &-folder {
        width: 100%;
        clip-path: polygon(calc(50% - -49.5px) 8px, calc(50% - -49.5px) 8px, calc(50% - -49.395286px) 6.70235796px, calc(50% - -49.092128px) 5.47138048px, calc(50% - -48.607002px) 4.32353852px, calc(50% - -47.956384px) 3.27530304px, calc(50% - -47.15675px) 2.343145px, calc(50% - -46.224576px) 1.54353536px, calc(50% - -45.176338px) 0.89294508px, calc(50% - -44.028512px) 0.40784512px, calc(50% - -42.797574px) 0.10470644px, calc(50% - -41.5px) 1.3244432256788E-31px, 16px 0px, 16px 0px, 13.40471592px 0.20941288px, 10.94276096px 0.81569024px, 8.64707704px 1.78589016px, 6.55060608px 3.08707072px, 4.68629px 4.68629px, 3.08707072px 6.55060608px, 1.78589016px 8.64707704px, 0.81569024px 10.94276096px, 0.20941288px 13.40471592px, 2.6488864513577E-31px 16px, 0px calc(100% - 16px), 0px calc(100% - 16px), 0.20941288px calc(100% - 13.404609px), 0.81569024px calc(100% - 10.942592px), 1.78589016px calc(100% - 8.646883px), 3.08707072px calc(100% - 6.550416px), 4.68629px calc(100% - 4.686125px), 6.55060608px calc(100% - 3.086944px), 8.64707704px calc(100% - 1.785807px), 10.94276096px calc(100% - 0.81564800000001px), 13.40471592px calc(100% - 0.20940099999999px), 16px calc(100% - 2.8421709430404E-14px), calc(100% - 16px) calc(100% - 0px), calc(100% - 16px) calc(100% - 0px), calc(100% - 13.404609px) calc(100% - 0.20940099999999px), calc(100% - 10.942592px) calc(100% - 0.81564799999995px), calc(100% - 8.646883px) calc(100% - 1.785807px), calc(100% - 6.550416px) calc(100% - 3.086944px), calc(100% - 4.686125px) calc(100% - 4.686125px), calc(100% - 3.086944px) calc(100% - 6.550416px), calc(100% - 1.785807px) calc(100% - 8.646883px), calc(100% - 0.81564800000001px) calc(100% - 10.942592px), calc(100% - 0.20940099999996px) calc(100% - 13.404609px), calc(100% - 0px) calc(100% - 16px), calc(100% - 0px) 32px, calc(100% - 0px) 32px, calc(100% - 0.20940099999996px) 29.4047062px, calc(100% - 0.81564799999998px) 26.9427456px, calc(100% - 1.785807px) 24.6470594px, calc(100% - 3.086944px) 22.5505888px, calc(100% - 4.686125px) 20.686275px, calc(100% - 6.550416px) 19.0870592px, calc(100% - 8.646883px) 17.7858826px, calc(100% - 10.942592px) 16.8156864px, calc(100% - 13.404609px) 16.2094118px, calc(100% - 16px) 16px, calc(50% - -57.5px) 16px, calc(50% - -57.5px) 16px, calc(50% - -56.202426px) 15.8952941px, calc(50% - -54.971488px) 15.5921568px, calc(50% - -53.823662px) 15.1070587px, calc(50% - -52.775424px) 14.4564704px, calc(50% - -51.84325px) 13.6568625px, calc(50% - -51.043616px) 12.7247056px, calc(50% - -50.392998px) 11.6764703px, calc(50% - -49.907872px) 10.5286272px, calc(50% - -49.604714px) 9.2976469px, calc(50% - -49.5px) 8px);
        background: var(--color-default-5);
        padding: rem(25) rem(16) rem(16) rem(25);
        margin-bottom: rem(17);
        display: block;
        transition: all 0.3s ease-in-out;
        position: relative;
        cursor: pointer;

        &::before {
            clip-path: polygon(calc(50% - -49.5px) 8px, calc(50% - -49.5px) 8px, calc(50% - -49.395286px) 6.70235796px, calc(50% - -49.092128px) 5.47138048px, calc(50% - -48.607002px) 4.32353852px, calc(50% - -47.956384px) 3.27530304px, calc(50% - -47.15675px) 2.343145px, calc(50% - -46.224576px) 1.54353536px, calc(50% - -45.176338px) 0.89294508px, calc(50% - -44.028512px) 0.40784512px, calc(50% - -42.797574px) 0.10470644px, calc(50% - -41.5px) 1.3244432256788E-31px, 16px 0px, 16px 0px, 13.40471592px 0.20941288px, 10.94276096px 0.81569024px, 8.64707704px 1.78589016px, 6.55060608px 3.08707072px, 4.68629px 4.68629px, 3.08707072px 6.55060608px, 1.78589016px 8.64707704px, 0.81569024px 10.94276096px, 0.20941288px 13.40471592px, 2.6488864513577E-31px 16px, 0px calc(100% - 16px), 0px calc(100% - 16px), 0.20941288px calc(100% - 13.404609px), 0.81569024px calc(100% - 10.942592px), 1.78589016px calc(100% - 8.646883px), 3.08707072px calc(100% - 6.550416px), 4.68629px calc(100% - 4.686125px), 6.55060608px calc(100% - 3.086944px), 8.64707704px calc(100% - 1.785807px), 10.94276096px calc(100% - 0.81564800000001px), 13.40471592px calc(100% - 0.20940099999999px), 16px calc(100% - 2.8421709430404E-14px), calc(100% - 16px) calc(100% - 0px), calc(100% - 16px) calc(100% - 0px), calc(100% - 13.404609px) calc(100% - 0.20940099999999px), calc(100% - 10.942592px) calc(100% - 0.81564799999995px), calc(100% - 8.646883px) calc(100% - 1.785807px), calc(100% - 6.550416px) calc(100% - 3.086944px), calc(100% - 4.686125px) calc(100% - 4.686125px), calc(100% - 3.086944px) calc(100% - 6.550416px), calc(100% - 1.785807px) calc(100% - 8.646883px), calc(100% - 0.81564800000001px) calc(100% - 10.942592px), calc(100% - 0.20940099999996px) calc(100% - 13.404609px), calc(100% - 0px) calc(100% - 16px), calc(100% - 0px) 32px, calc(100% - 0px) 32px, calc(100% - 0.20940099999996px) 29.4047062px, calc(100% - 0.81564799999998px) 26.9427456px, calc(100% - 1.785807px) 24.6470594px, calc(100% - 3.086944px) 22.5505888px, calc(100% - 4.686125px) 20.686275px, calc(100% - 6.550416px) 19.0870592px, calc(100% - 8.646883px) 17.7858826px, calc(100% - 10.942592px) 16.8156864px, calc(100% - 13.404609px) 16.2094118px, calc(100% - 16px) 16px, calc(50% - -57.5px) 16px, calc(50% - -57.5px) 16px, calc(50% - -56.202426px) 15.8952941px, calc(50% - -54.971488px) 15.5921568px, calc(50% - -53.823662px) 15.1070587px, calc(50% - -52.775424px) 14.4564704px, calc(50% - -51.84325px) 13.6568625px, calc(50% - -51.043616px) 12.7247056px, calc(50% - -50.392998px) 11.6764703px, calc(50% - -49.907872px) 10.5286272px, calc(50% - -49.604714px) 9.2976469px, calc(50% - -49.5px) 8px);
            content: '';
            position: absolute;
            left: rem(1);
            right: rem(1);
            bottom: rem(1);
            top: rem(1);
            margin: auto;
            background: var(--color-default-8);
            border-radius: 8px;
            z-index: -1;
            transition: all 0.3s ease-in-out;
        }

        &:hover {
            text-decoration: none;
            background: var(--light-gray);

        }

        &-title {
            font-size: rem(16);
            line-height: rem(19);
            color: var(--white);
            margin-bottom: rem(8);
            font-weight: 500;
        }

        &-text {
            font-size: rem(13);
            line-height: rem(15);
            // color: --recent-grey-title;
            color: var(--color-default-1);
        }

        &-bottom {
            margin-top: rem(32);
            padding-top: rem(16);
            border-top: rem(1) solid #4C42CB;
            // margin-top: rem(16);
            display: flex;
            align-items: center;
            justify-content: space-between;
            flex-wrap: wrap;
            gap: rem(8);
        }

        &-total {
            font-size: rem(13);
            line-height: rem(15);
            font-weight: 500;
            line-height: 1.2em;
            // color: var(--black-op-06);
            color: var(--color-default-1);
            width: calc(33.333% - rem(8));

            p {
                font-size: rem(13);
                line-height: rem(15);
                font-weight: 500;
                line-height: 1.2em;
                color: var(--color-default-1);

                span {
                    color: var(--white);
                    display: block;
                }
            }

        }

        &-buttons {
            display: flex;
            align-items: center;
            justify-content: flex-end;
            width: calc(33.333% - rem(8));
            gap: rem(4);
        }

        &-button {
            width: rem(32);
            height: rem(32);
            background: var(--white);
            border-radius: 16px;
            display: flex;
            justify-content: center;
            align-items: center;
            margin-left: rem(4);

            i {
                width: rem(10);
                height: rem(10);
                color: var(--recent-grey-title);
                font-size: rem(10);
                text-align: center;

                &.ball_hamb {
                    height: 14px;
                    font-size: rem(14);
                }

            }

            &:first-child {
                margin-left: 0;
            }
        }

        .card-folder-checkbox {
            display: none;
        }

        &.has-checkbox {

            .card-folder-top {
                padding-left: rem(32);
                position: relative;
            }

            .card-folder-checkbox {
                display: block;
                position: absolute;
                left: 0;
                top: 3px;
            }

        }

    }

    &-quality {
        color: var(--black);
        margin-bottom: rem(57);

        &-title {
            font-size: rem(12);
            line-height: rem(14);
            font-weight: 500;
            margin-bottom: rem(16);
        }

        &-values {
            display: flex;
            align-items: center;
        }

        &-value {
            margin-right: rem(8);
            font-size: rem(48);
            line-height: rem(48);
            font-weight: 100;
        }

        &-classification {
            width: rem(12);
            height: rem(12);
            border-radius: 100%;
            background: #1CEDA2;

            &.high {
                background: #1CEDA2;
            }

            &.medium {
                background: yellow;
            }

            &.low {
                background: red;
            }
        }

        &.highlighted {
            .card-quality-value {
                font-size: rem(96);
                line-height: rem(96);
            }
        }
    }

    &-role {
        cursor: pointer;
        transition: all 0.1s ease-in-out;

        clip-path: polygon(calc(100% - 2.3px) 19.4px, calc(100% - 2.3px) calc(100% - 18.2px), calc(100% - 2.3px) calc(100% - 18.2px), calc(100% - 2.525px) calc(100% - 15.437px), calc(100% - 3.1759999999999px) calc(100% - 12.812px), calc(100% - 4.217px) calc(100% - 10.361px), calc(100% - 5.612px) calc(100% - 8.12px), calc(100% - 7.325px) calc(100% - 6.125px), calc(100% - 9.32px) calc(100% - 4.412px), calc(100% - 11.561px) calc(100% - 3.0170000000001px), calc(100% - 14.012px) calc(100% - 1.976px), calc(100% - 16.637px) calc(100% - 1.325px), calc(100% - 19.4px) calc(100% - 1.1px), 82.5px calc(100% - 1.1px), 82.5px calc(100% - 1.1px), 78.2429px calc(100% - 1.4477px), 74.2072px calc(100% - 2.4536px), 70.4463px calc(100% - 4.0619px), 67.0136px calc(100% - 6.2168px), 63.9625px calc(100% - 8.8625px), 61.3464px calc(100% - 11.9432px), 59.2187px calc(100% - 15.4031px), 57.6328px calc(100% - 19.1864px), 56.6421px calc(100% - 23.2373px), 56.3px calc(100% - 27.5px), 56.3px calc(100% - 27.5px), 55.9317px calc(100% - 32.0589px), 54.8656px calc(100% - 36.3952px), 53.1599px calc(100% - 40.4483px), 50.8728px calc(100% - 44.1576px), 48.0625px calc(100% - 47.4625px), 44.7872px calc(100% - 50.3024px), 41.1051px calc(100% - 52.6167px), 37.0744px calc(100% - 54.3448px), 32.7533px calc(100% - 55.4261px), 28.2px calc(100% - 55.8px), 28.2px calc(100% - 55.8px), 23.9999px calc(100% - 56.1391px), 20.0152px calc(100% - 57.1208px), 16.2993px calc(100% - 58.6917px), 12.9056px calc(100% - 60.7984px), 9.8875px calc(100% - 63.3875px), 7.2984px calc(100% - 66.4056px), 5.1917px calc(100% - 69.7993px), 3.6208px calc(100% - 73.5152px), 2.6391px calc(100% - 77.4999px), 2.3px calc(100% - 81.7px), 2.3px 19.4px, 2.3px 19.4px, 2.525px 16.637px, 3.176px 14.012px, 4.217px 11.561px, 5.612px 9.32px, 7.325px 7.325px, 9.32px 5.612px, 11.561px 4.217px, 14.012px 3.176px, 16.637px 2.525px, 19.4px 2.3px, calc(100% - 19.3px) 2.3px, calc(100% - 19.3px) 2.3px, calc(100% - 16.5398px) 2.5223px, calc(100% - 13.9224px) 3.1664px, calc(100% - 11.4826px) 4.1981px, calc(100% - 9.2551999999999px) 5.5832px, calc(100% - 7.275px) 7.2875px, calc(100% - 5.5768px) 9.2768px, calc(100% - 4.1953999999999px) 11.5169px, calc(100% - 3.1656px) 13.9736px, calc(100% - 2.5222px) 16.6127px, calc(100% - 2.3000000000001px) 19.4px);
        background-color: bisque;

        width: 100%;
        background: var(--color-default-5);
        padding: rem(16);
        margin-bottom: rem(17);
        display: block;
        transition: all 0.3s ease-in-out;
        position: relative;

        &::before {

            clip-path: polygon(calc(100% - 2.3px) 19.4px, calc(100% - 2.3px) calc(100% - 18.2px), calc(100% - 2.3px) calc(100% - 18.2px), calc(100% - 2.525px) calc(100% - 15.437px), calc(100% - 3.1759999999999px) calc(100% - 12.812px), calc(100% - 4.217px) calc(100% - 10.361px), calc(100% - 5.612px) calc(100% - 8.12px), calc(100% - 7.325px) calc(100% - 6.125px), calc(100% - 9.32px) calc(100% - 4.412px), calc(100% - 11.561px) calc(100% - 3.0170000000001px), calc(100% - 14.012px) calc(100% - 1.976px), calc(100% - 16.637px) calc(100% - 1.325px), calc(100% - 19.4px) calc(100% - 1.1px), 82.5px calc(100% - 1.1px), 82.5px calc(100% - 1.1px), 78.2429px calc(100% - 1.4477px), 74.2072px calc(100% - 2.4536px), 70.4463px calc(100% - 4.0619px), 67.0136px calc(100% - 6.2168px), 63.9625px calc(100% - 8.8625px), 61.3464px calc(100% - 11.9432px), 59.2187px calc(100% - 15.4031px), 57.6328px calc(100% - 19.1864px), 56.6421px calc(100% - 23.2373px), 56.3px calc(100% - 27.5px), 56.3px calc(100% - 27.5px), 55.9317px calc(100% - 32.0589px), 54.8656px calc(100% - 36.3952px), 53.1599px calc(100% - 40.4483px), 50.8728px calc(100% - 44.1576px), 48.0625px calc(100% - 47.4625px), 44.7872px calc(100% - 50.3024px), 41.1051px calc(100% - 52.6167px), 37.0744px calc(100% - 54.3448px), 32.7533px calc(100% - 55.4261px), 28.2px calc(100% - 55.8px), 28.2px calc(100% - 55.8px), 23.9999px calc(100% - 56.1391px), 20.0152px calc(100% - 57.1208px), 16.2993px calc(100% - 58.6917px), 12.9056px calc(100% - 60.7984px), 9.8875px calc(100% - 63.3875px), 7.2984px calc(100% - 66.4056px), 5.1917px calc(100% - 69.7993px), 3.6208px calc(100% - 73.5152px), 2.6391px calc(100% - 77.4999px), 2.3px calc(100% - 81.7px), 2.3px 19.4px, 2.3px 19.4px, 2.525px 16.637px, 3.176px 14.012px, 4.217px 11.561px, 5.612px 9.32px, 7.325px 7.325px, 9.32px 5.612px, 11.561px 4.217px, 14.012px 3.176px, 16.637px 2.525px, 19.4px 2.3px, calc(100% - 19.3px) 2.3px, calc(100% - 19.3px) 2.3px, calc(100% - 16.5398px) 2.5223px, calc(100% - 13.9224px) 3.1664px, calc(100% - 11.4826px) 4.1981px, calc(100% - 9.2551999999999px) 5.5832px, calc(100% - 7.275px) 7.2875px, calc(100% - 5.5768px) 9.2768px, calc(100% - 4.1953999999999px) 11.5169px, calc(100% - 3.1656px) 13.9736px, calc(100% - 2.5222px) 16.6127px, calc(100% - 2.3000000000001px) 19.4px);
            content: '';
            position: absolute;
            left: rem(1);
            right: rem(1);
            bottom: rem(1);
            top: rem(1);
            margin: auto;
            background: var(--color-default-8);
            border-radius: 8px;
            z-index: -1;
            transition: all 0.3s ease-in-out;
        }

        &:hover,
        &.active {
            text-decoration: none;
            background: #4C42CB !important;
            border-color: #4C42CB;

            &::before {
                background: #4C42CB !important;
                border-color: #4C42CB;
            }

            .card-role-button {
                background: var(--color-default-2);
                color: var(--white);

                i {
                    color: var(--white);
                }
            }

        }

        &-avatar {
            width: rem(44);
            height: rem(44);
            border-radius: 100%;
            overflow: hidden;
            margin-right: rem(16);
            box-shadow: 0px 24px 24px rgba(0, 0, 0, 0.24);

            img,
            span {
                object-fit: cover;
                object-position: center;
                width: 100%;
                height: 100%;
            }

            span {
                background: #99A0EE;
                border: 1px solid var(--color-default-5);
                border-radius: 100%;
                color: var(--white);
                display: block;
                text-align: center;
                display: flex;
                align-items: center;
                justify-content: center;
                font-size: rem(24);
                font-weight: 900;
            }

        }

        &-info {
            display: flex;
            align-items: center;
            margin-bottom: rem(16);
            width: 100%;
            flex-wrap: wrap;
        }

        &-type {
            font-size: rem(16);
            line-height: rem(19);
            font-weight: 500;
            color: var(--white);
        }

        &-actions {
            display: flex;
            width: 100%;
            padding-left: rem(60);
            margin-bottom: rem(32);
        }

        &-bottom {
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding-left: rem(60);
        }

        &-totals {
            // color: var(--black-op-06);
            color: var(--white);
        }

        &-total {
            font-size: rem(13);
            line-height: rem(15);
            font-weight: 500;
            line-height: 1.2em;
            position: relative;
            color: var(--color-default-1);

            // span {
            //     font-size: rem(10);
            //     position: absolute;
            //     top: -2px;
            //     margin-left: 3px;
            // }

            .total {
                padding-top: rem(5);
                display: block;
                line-height: 1.2em;
                font-size: rem(13);
                font-weight: 500;
                color: var(--white);

                span {
                    position: relative;
                    top: rem(-3);
                    padding-left: rem(2);
                    font-size: rem(10);
                }

            }

        }

        &-button {
            width: rem(32);
            height: rem(32);
            border-radius: 100%;
            display: flex;
            align-items: center;
            justify-content: center;

            background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
            border: 1px solid var(--color-default-2);
            box-shadow: 0px 8px 16px rgba(112, 144, 176, 0.12);

            i {
                width: rem(8);
                height: rem(8);
                font-size: rem(8);
                color: var(--white);
            }
        }

        &.active {
            background: var(--pagination-active);

            // .form-group-checkbox .checkbox__checkmark {
            //     border-color: rgba(255, 255, 255, 0.6);

            //     &::after {
            //         border-color: rgba(255, 255, 255, 0.6);
            //     }

            //     &::before {
            //         background: var(--pagination-active);
            //     }
            // }

            .card-role-type {
                color: var(--white);
            }

            .checkbox__body {
                color: var(--white);
            }

            // .card-role-total {
            //     color: var(--white);
            // }
        }

    }

    &-property {
        display: flex;
        flex-direction: column;
        min-height: rem(102);
        justify-content: space-between;
        padding: rem(16);
        border: 1px solid var(--color-default-5);
        border-radius: rem(8);
        margin-bottom: rem(16);
        background: transparent;
        transition: all 0.3s ease;

        &-top {
            display: flex;
            align-items: center;
            margin-bottom: rem(10);

            h6 {
                font-size: rem(13);
                line-height: rem(18);
                font-weight: 400;
                color: var(--white);
                margin-right: rem(10);
                margin-bottom: 0 !important;
            }

            i {
                color: var(--color-default-2);
                font-size: rem(8);
                margin-right: rem(8);
                transition: all 0.3s ease;
            }
        }

        p {
            font-size: rem(14);
            line-height: rem(16);
            color: var(--color-default-1);
            transition: all 0.3s ease;
        }

        &:hover {
            background: linear-gradient(55.7deg, #231D78 0%, #6A60FB 100%);
            box-shadow: 0px 24px 24px 0px #00000014;

            p,
            i {
                color: var(--white);
            }
        }
    }

    &-values{
        width: rem(137);
        height: rem(137);
        flex-shrink: 0;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        border-radius: rem(24);
        background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
        border: 1px solid var(--color-default-2);
        box-shadow: 0px 8px 16px 0px #7090B01F;
        color: var(--white);
        font-weight: 300;

        &-number{
            font-size: rem(40);
            line-height: rem(48);
        }

        &-text{
            font-size: rem(13);
            line-height: rem(15);
            margin-top: rem(15);

            span{
                width: 100%;
                display: block;
            }
        }
    }

    &-database{
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        width: 100%;
        min-height: 120px;
        border: 1px solid var(--color-default-5);
        border-radius: rem(8);
        padding: 16px;
        margin-bottom: 24px;
        transition: all 0.3s ease;

        &-header{
            display: flex;
            align-items: center;
            gap: 10px;
        }

        &-title{
            font-size: rem(13);
            line-height: rem(19);
            font-weight: 400;
            color: var(--white);

            i{
                font-size: rem(8);
                color: var(--color-default-2);
            }
        }

        &-footer{
            display: flex;
            align-items: center;
            gap: 20px;

            &-item{
                display: flex;
                align-items: center;
                gap: 4px;

                &-title{
                    font-size: rem(14);
                    line-height: rem(16);
                    font-weight: 300;
                    color: var(--color-default-1);
                }

                &-value{
                    font-size: rem(14);
                    line-height: rem(16);
                    font-weight: 500;
                    color: var(--color-hover-icon);
                }
            }
        }

        &:hover{
            border-color: var(--color-default-5);
            background: linear-gradient(356.68deg, #2A2387 5.48%, #2A2387 94.52%);
            box-shadow: 0px 32px 32px 0px #0000003D;
        }
    }
}